;;; Sierra Script 1.0 - (do not remove this comment)
(script# 105)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use Sound)
(use Motion)
(use System)

(public
	AnimateOpenSpell 0
)

(local
	gEgoObjSignal
	gEgoObjPriority
	gEgoObjIllegalBits
	newSound
)
(procedure (AnimateOpenSpell theTheEgo param2 &tmp theEgo temp1)
	(= theEgo ego)
	(= temp1 0)
	(if argc
		(if (> argc 1) (= temp1 param2))
		(= theEgo theTheEgo)
	)
	(theEgo setScript: clientCastOpen temp1)
)

(instance clientCastOpen of Script
	(properties)
	
	(method (dispose)
		(HandsOn)
		(super dispose:)
		(DisposeScript 105)
	)
	
	(method (changeState newState)
		(switch (= state newState)
			(0
				(= gEgoObjSignal (ego signal?))
				(= gEgoObjPriority (ego priority?))
				(= gEgoObjIllegalBits (ego illegalBits?))
				(HandsOff)
				(StopEgo)
				(ego setLoop: loopS)
				(= cycles 1)
			)
			(1
				(ego
					view: vEgoMagicDetect
					setLoop: loopE
					setCel: 0
					setPri: (ego priority?)
					cycleSpeed: 2
					setCycle: EndLoop self
				)
			)
			(2
				((= newSound (Sound new:))
					number: (GetSongNumber 35)
					priority: 6
					init:
					play:
				)
				(= cycles 3)
			)
			(3
				(newSound stop: dispose:)
				(StopEgo)
				(ego
					loop: loopS
					priority: gEgoObjPriority
					illegalBits: gEgoObjIllegalBits
					signal: gEgoObjSignal
				)
				(self dispose:)
			)
		)
	)
)
