;;; Sierra Script 1.0 - (do not remove this comment)
(script# 810)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use System)


(class CursorCoords of Object
	(properties
		cursorX 0
		cursorY 0
	)
)

(class InputList of Set
	(properties
		elements 0
		size 0
	)
	
	(method (handleEvent event &tmp temp0 temp1 temp2 temp3 temp4 temp5 temp6 theDirectionAngle temp8 temp9 eventX eventY temp12 temp13)
		(if (== (event type?) direction)
			(= theDirectionAngle [directionAngle (event message?)])
			(= temp3 60)
			(= temp4 400)
			(= eventX (event x?))
			(= eventY (event y?))
			(= temp5 (= temp2 0))
			(while (< temp5 size)
				(= temp12 ((= temp1 (self at: temp5)) cursorX?))
				(= temp13 (temp1 cursorY?))
				(if (or (!= eventX temp12) (!= eventY temp13))
					(= temp8 (GetAngle eventX eventY temp12 temp13))
					(= temp0 (GetDistance eventX eventY temp12 temp13))
					(if
					(> (= temp9 (Abs (- theDirectionAngle temp8))) 180)
						(= temp9 (- 360 temp9))
					)
					(= temp6 (<= temp9 (+ temp3 10)))
					(if
						(or
							(<= temp9 (- temp3 10))
							(and temp6 (< (+ temp9 temp0) (+ temp3 temp4)))
							(and
								temp6
								(== (+ temp9 temp0) (+ temp3 temp4))
								(< temp9 temp3)
							)
						)
						(= temp3 temp9)
						(= temp4 temp0)
						(= temp2 temp1)
					)
				)
				(++ temp5)
			)
			(if temp2
				(SetCursor
					theCursor
					1
					(temp2 cursorX?)
					(temp2 cursorY?)
				)
			)
		)
	)
	
	(method (empty &tmp temp0)
		(if size
			(= temp0 (- size 1))
			(while (>= temp0 0)
				((self at: temp0) dispose:)
				(self delete: (self at: temp0))
				(-- temp0)
			)
		)
	)
)
