;;; Sierra Script 1.0 - (do not remove this comment)
(script# 5)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use Inventory)

(public
	Drink 0
)

(procedure (Drink event param2 &tmp beverage)
	(if param2
		(= beverage param2)
	else
		(= beverage (SaidGet event))
	)
	(cond 
		((not beverage)
			(event claimed: FALSE)
			(cond 
				((Said '/water') ;Bugged for some reason; claims "That isn't drinkable."
					(if (ego has: iFlyingWater)
						(ego use: iFlyingWater 1)
						(ego get: iFlask)
						(cond 
							((not (ego has: iFlyingWater)) (Bclr HAVE_LAKE_WATER) (Bclr HAVE_FLYING_WATER))
							((Btst HAVE_LAKE_WATER) (Bclr HAVE_LAKE_WATER))
							((Btst HAVE_FLYING_WATER) (Bclr HAVE_FLYING_WATER))
						)
						(HighPrint 5 0)
						;You drink a flask of water.  It tastes great.
						(HighPrint 5 1)
						;(Less filling, too!)
					)
				)
				((Said '/potion')
					(= beverage 0)
					(= param2 iHealingPotion)
					(while (<= param2 iGhostOil)
						(cond 
							((and [invNum param2] (not beverage)) (= beverage param2))
							((and beverage [invNum param2]) (= beverage -1) (break))
						)
						(++ param2)
					)
					(switch beverage
						(-1 
							(HighPrint 5 2)
							;Perhaps you could tell me which potion you want to drink.							
						)
						(0
							(HighPrint 5 3)
							;You have no potions.	
						)
						(else  (Drink event beverage))
					)
				)
				(else (event claimed: 1)
					(HighPrint 5 4)
					;You don't see any here.
				)
			)
		)
		((or (< beverage iHealingPotion) (> beverage iGhostOil))
			(event claimed: 0)
			(if (Said 'drink')
				(HighPrint 5 5)
				;That isn't drinkable.
			else
				(HighPrint 5 6)
				;It's not clear how you want to use that.
			)
			(event claimed: 1)
		)
		((not [invNum beverage]) (HighPrint 5 7))
		((== beverage iHealingPotion)
			(HighPrint 5 8)
			;The drink soothes as it goes down.
			(ReduceHP (- (/ (GetMaxHealth) 2)))
			(ego use: iHealingPotion)
			(ego get: iFlask)
		)
		((== beverage iManaPotion)
			(HighPrint 5 9)
			;The drink burns as it goes down.
			(ReduceMP (- (/ (GetMaxMana) 2)))
			(ego use: iManaPotion)
			(ego get: iFlask)
		)
		((== beverage iStaminaPotion)
			(HighPrint 5 10)
			;The drink is invigorating.
			(ReduceSP (- (GetMaxStamina)))
			(ego use: iStaminaPotion)
			(ego get: iFlask)
		)
		((== beverage iDisenchant)
			(HighPrint 5 11)
			;You don't feel anything.  Perhaps this was not the correct way to use this potion.
			(ego use: iDisenchant)
			(ego get: iFlask)
			(event claimed: TRUE)
		)
		((== beverage iGhostOil)
			(if (ego has: iGhostOil)
				(HighPrint 5 12)
				;You feel a tingling sensation as you rub the unguent all over your body.
				(Bset PROTECTED_UNGUENT)
				(Bclr GHOSTS_ATTACK)
				(= undeadUnguentTimer 150)
				(ego use: iGhostOil)
				(ego get: iFlask)
			else
				(HighPrint 5 13)
				;You can't.  You don't have any.
			)
		)
	)
	(DisposeScript 5)
)
