;;; Sierra Script 1.0 - (do not remove this comment)
(script# 211)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use LoadMany)
(use Game)


(class Arena of Room
	(properties
		script 0
		number 0
		timer 0
		keep 0
		initialized 0
		picture 0
		style $0006
		horizon 0
		controls 0
		north 0
		east 0
		south 0
		west 0
		curPic 0
		picAngle 0
		vanishingX 160
		vanishingY -30000
		monster 0
		inTransit 0
		escaped 0
	)
	
	(method (init)
		(Load RES_SCRIPT 213)
		(Load RES_SCRIPT 205)
		(LoadMany RES_VIEW hpStatusView vEgoFightArmSword vEgoFightArmDagger)
		(super init:)
		(StatusLine enable:)
		(Bclr SAVE_ENABLED)
		(= hadABattle TRUE)
		((ScriptID 213 0)
			init:
			stopUpd:
			weaponView: (if (ego has: iSword) vEgoFightArmSword else vEgoFightArmDagger)
			opponent: monster
			drawStatus:
			startCombat: 215
		)
		(monster init: drawStatus:)
	)
	
	(method (doit)
		(cond 
			(inTransit (super doit:))
			(escaped
				(= gMonsterHealth (monster health?))
				(= inTransit 1)
				(monster dispose:)
				((ScriptID 213 0) dispose:)
				(curRoom newRoom: prevRoomNum)
			)
			((<= (monster health?) 0)
				(= brigandHead 0)
				(= gMonsterHealth 0)
				(= inTransit 1)
				(Animate (cast elements?) 0)
				(monster dispose:)
				((ScriptID 213 0) dispose:)
				(curRoom newRoom: prevRoomNum)
			)
			(else (super doit:))
		)
	)
	
	(method (dispose)
		(Bset SAVE_ENABLED)
		(super dispose:)
	)
)
