;;; Sierra Script 1.0 - (do not remove this comment)
(script# 298)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use Interface)
(use Game)
(use User)
(use Actor)
(use System)

(public
	debugRm 0
)

(instance debugRm of Locale
	(properties)
	
	(method (init)
		(super init:)
		(mouseDownHandler add: self)
		(keyDownHandler add: self)
	)
	
	(method (dispose)
		(mouseDownHandler delete: self)
		(keyDownHandler delete: self)
		(super dispose:)
	)
	
	(method (handleEvent event &tmp newEvent temp1 [temp2 2] gCastFirst temp5 [temp6 40])
		(if
		(or (not razzleDazzleRootBeer) (event claimed?))
			(return)
		)
		(switch (event type?)
			(mouseDown
				(if (& (event modifiers?) emSHIFT)
					(= temp1
						(Print
							(Format @temp6 298 0 (event x?) (event y?))
							#at 150 100
							#font 999
							#dispose
						)
					)
					(while (!= mouseUp ((= newEvent (Event new:)) type?))
						(newEvent dispose:)
					)
					(temp1 dispose:)
					(newEvent dispose:)
				)
			)
			(keyDown
				(event claimed: TRUE)
				(switch (event message?)
					(KEY_QUESTION
						(Print 298 1)
						; Key commands:
						; ALT-S Show cast
						; ALT-M Show Memory
						; ALT-T Teleport
						; ALT-V Visual
						; ALT-P Priority
						; ALT-C Control
						; ALT-I Get InvItem
						; ALT-B Set Ego's Bucks
						; ALT-K Set one of Ego's sKills
						; ALT-X Make Ego eXtra special
					)
					(KEY_ALT_s
						(= gCastFirst (cast first:))
						(while gCastFirst
							(= temp1 (NodeValue gCastFirst))
							(Print
								(Format
									@temp6
									298
									2
									(temp1 view?)
									(temp1 x?)
									(temp1 y?)
									(if (& (temp1 signal?) $0004) {stopUpd:\0A} else {})
									(if (& (temp1 signal?) $4000)
										{ignoreActors:\0A}
									else
										{}
									)
									(if
										(or
											(== (temp1 superClass?) Actor)
											(== (temp1 superClass?) Ego)
										)
										(temp1 illegalBits?)
									else
										-1
									)
								)
								#title
								(temp1 name?)
								#icon
								(temp1 view?)
								(temp1 loop?)
								(temp1 cel?)
							)
							(= gCastFirst (cast next: gCastFirst))
						)
					)
					(KEY_ALT_e
						(Format
							@temp6
							298
							3
							(ego x?)
							(ego y?)
							(ego loop?)
							(ego cel?)
						)
						(Print @temp6 #icon (ego view?) 6 0 7 0)
					)
					(KEY_ALT_i
						(= gCastFirst (GetNumber {ID number of the object?}))
						(ego get: gCastFirst)
					)
					(KEY_ALT_t
						(curRoom newRoom: (GetNumber {Which room number?}))
					)
					(KEY_ALT_v (Show VMAP))
					(KEY_ALT_p (Show PMAP))
					(KEY_ALT_c (Show CMAP))
					(KEY_ALT_m (theGame showMem:))
					(KEY_ALT_b
						(Print (Format @temp6 298 4 [invNum iSilver]))
						;Our Hero has %d silvers.
						(= [invNum iSilver] (GetNumber {Enter Silvers.}))
					)
					(KEY_ALT_k
						(= temp5 (GetNumber {Change which Stat/Skill?}))
						(= [egoStats temp5]
							(GetNumber {Enter new value:} [egoStats temp5])
						)
					)
					(KEY_ALT_x
						(= temp5 0)
						(while (< temp5 25)
							(= [egoStats temp5] 80)
							(++ temp5)
						)
						(= [egoStats EXPER] 1900)
						(= [egoStats HEALTH] (GetMaxHealth))
						(= [egoStats STAMINA] (GetMaxStamina))
						(= [egoStats MANA] (GetMaxMana))
						(Print 298 5)
						; Why, you feel better already!
					)
					;CI: NOTE: I've added this additional debug entry (alt-y) for whatever I want to display.
					;in this case, I was trying to find out what's going on in skillThreshold.
					;(KEY_ALT_y	
					;	(Print (Format @temp6 "skillThreshold Vitality: %d" 
					;			[egoStats (= [egoStatPoints VIT]
					;			(+ [egoStatPoints VIT] 10)
					;			)]
					;			))
					;)
					(else  (event claimed: FALSE))
				)
			)
		)
	)
)
