;;; Sierra Script 1.0 - (do not remove this comment)
(script# 8)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)
(use Interface)
(use incGameTime)

(public
	Rest 0
)

(procedure (Rest minutes resting)
	(if
		(and
			(<= currentDay gameDayLastRested)
			(<= currentTime (+ gameTimeLastRested 150))
			(> [egoStats STAMINA] (/ (GetMaxStamina) 2))
		)
		(HighPrint 8 0)
		;You're too impatient to rest right now.
	else
		(= gameDayLastRested currentDay)
		(= gameTimeLastRested currentTime)
		(ReduceSP (- minutes))
		(ReduceMP (- (/ minutes 5)))
		(ReduceHP (- (/ (+ minutes 5) 15)))
		(if resting (Printf 8 1 minutes))
		;After %d minutes rest, you feel better.
		(IncrementGameTime 0 minutes)
	)
	(DisposeScript 8)
)
