;;; Sierra Script 1.0 - (do not remove this comment)
(script# 7)
(include system.sh) (include sci2.sh) (include game.sh)
(use Main)

(public
	SleepUntil 0
	NeedSleep 1
)

(procedure (SleepUntil param1 param2 &tmp temp0 theCurrentTime)
	(if (not (NeedSleep))
		(HighPrint 7 0)
		;You just can't sleep during the daytime.
	else
		(= daysWithoutSleep 0)
		(= theCurrentTime currentTime)
		(switch argc
			(0 (SetGameTime 5))
			(1 (SetGameTime param1))
			(else 
				(SetGameTime param1 param2)
			)
		)
		(if
			(or
				(== curRoomNum 10)
				(== curRoomNum 40)
				(== curRoomNum 141)
				(== curRoomNum 76)
				(== curRoomNum 83)
				(== curRoomNum 302)
				(== curRoomNum 300)
				(== curRoomNum 310)
				(== curRoomNum 320)
				(== curRoomNum 330)
			)
			(= temp0
				(/
					(mod (- (+ currentTime 3600) theCurrentTime) 3600)
					150
				)
			)
			(= [egoStats STAMINA] (GetMaxStamina))
			(if (== curRoomNum 10)
				(= [egoStats HEALTH] (GetMaxHealth))
				(= [egoStats MANA] (GetMaxMana))
			else
				(ReduceHP (- (* temp0 2)))
				(ReduceMP (- (* temp0 2)))
			)
			(if (> theCurrentTime currentTime) (IncrementGameDay))
			(if
				(not
					(if
						(or
							(== curRoomNum 300)
							(== curRoomNum 302)
							(== curRoomNum 310)
							(== curRoomNum 320)
						)
					else
						(== curRoomNum 330)
					)
				)
				(HighPrint 7 1)
				;You awake as the sun begins to rise.
			)
		else
			(EgoDead 7 2
				#icon vDeathScenes 1 0
				#title {Night Gaunt Got ya.})
				;While you were asleep, something decided to make a meal of you.
				;You're not sure what it was, but you don't really care at this point.
				;You shouldn't go to sleep where the creatures of the night can get you.
		)
	)
	(DisposeScript 7)
)

(procedure (NeedSleep)
	(return (if (>= timeZone TIME_SUNSET) else daysWithoutSleep))
)
